package main;

import reservation.*;
import voyage.*;

	/**
	 * 
	 * @author Lionel Mdini
	 * @author Yannick Pri
	 * @author Lotfi Sofiane Settouti
	 * 
	 * UFR informatique
	 * Universit Claude Bernard Lyon 1
	 *
	 */

	public class Principal {

		static ReservationBuilder builder;

	    public static void main(String[] args) {	        
	        builder = ReservationBuilder.getInstance();	
	 
	        Client client = new Client();	        
	        client.setReservationBuilder(builder);
	        client.setIdentifiant(10089);
	        client.setNom("toto");

	        VolFactory vf = VolFactory.getInstance();
	        Vol v = vf.create();
	        v.setDepart("Paris");
	        v.setDestination("Tokyo");
	        
	        Passager p = new Passager("Untel");
	 
	        client.constructReservationVol(12, v, p);
	        Reservation reservation = client.getReservation(0);
	        reservation.affiche();
	    }

	}